%define name fastforward
%define version 0.51
%define release 8rph
%define qdir /var/qmail

Name:		%{name}
Summary:	Create forwarding databases from a sendmail-style /etc/aliases
Version:	%{version}
Release:	%{release}
Copyright:	D. J. Bernstein
Group:		System/Servers
URL:		http://cr.yp.to/fastforward.html
Source:		%{name}-%{version}.tar.bz2
Source1:	aliases
Source2:	qmail-default
Patch0:		fastforward-0.51-errno.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}
Requires:	qmail >= 1.03
Packager:	Vincent Danen <vdanen@mandrakesoft.com>

%description
fastforward handles qmail forwarding according to a cdb database. It can create 
forwarding databases from a sendmail-style /etc/aliases or from user-oriented 
virtual-domain tables.

fastforward supports external mailing lists, stored in a binary format for fast 
access. It has a tool to convert sendmail-style include files into binary 
lists.

fastforward is more reliable than sendmail. sendmail can't deal with long 
aliases, or deeply nested aliases, or deeply nested include files; fastforward 
has no limits other than memory. sendmail can produce corrupted alias files if 
the system crashes; fastforward is crashproof.

fastforward's database-building tools are much faster than sendmail's 
newaliases. Even better, fastforward deliveries don't pause while the database 
is being rebuilt.

fastforward does not support insecure sendmail-style program deliveries from 
include files; you can use qmail's secure built-in mechanisms instead. 
fastforward does support program deliveries from /etc/aliases.


%prep
%setup -q
%patch0 -p1 -b .errno


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

echo "gcc %{optflags}" | sed s}"-O2"}"-O"} > conf-cc
make man prog


%install
ALIASDIR="%{buildroot}`echo ~alias`"

mkdir -p %{buildroot}%{qdir}/alias
mkdir -p %{buildroot}%{_sysconfdir}
echo %{buildroot}%{qdir} > conf-qmail
make install
./install
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}
install -m600 %{SOURCE2} %{buildroot}%{qdir}/alias/.qmail-default

# We have to bzip manpages manually...
find %{buildroot}%{qdir}/man -type f -exec bzip2 -9f {} \;
# other cleanups
rm -rf %{buildroot}%{qdir}/man/cat*
rm -f %{buildroot}%{qdir}/doc/fastforward/ALIASES

%post
echo "Make sure to include a user in /etc/aliases receiving"
echo "mail for root and run /var/qmail/bin/newaliases afterwards!"
%{qdir}/bin/newaliases


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr (-,root,root)
%doc ALIASES BLURB CHANGES INSTALL FILES README THANKS TODO
%doc VERSION SYSDEPS
%{qdir}/bin/fastforward
%{qdir}/bin/printforward
%{qdir}/bin/newaliases
%{qdir}/bin/setforward
%{qdir}/bin/printmaillist
%{qdir}/bin/newinclude
%{qdir}/bin/setmaillist
%{qdir}/man/man1/setforward.1*
%{qdir}/man/man1/newinclude.1*
%{qdir}/man/man1/fastforward.1*
%{qdir}/man/man1/newaliases.1*
%{qdir}/man/man1/setmaillist.1*
%{qdir}/man/man1/printforward.1*
%{qdir}/man/man1/printmaillist.1*
%config(noreplace) /etc/aliases
%attr(-,alias,nofiles) %config(noreplace) %{qdir}/alias/.qmail-default


%changelog
* Sat Feb  1 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.51-8rph
- build for 9.1
- P0: errno.h stuff
- unpacked file cleanup

* Fri Aug  9 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.51-7rph
- build for 9.0

* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.51-6rph
- rebuild with rph extension

* Thu Sep 27 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.51-5mdk
- aadd packager tag

* Sat Oct 28 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.51-4mdk
- more macros
- specfile cleanups

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.51-3mdk
- remove packager tag

* Thu Jul 20 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.51-2mdk
- bzip manpages manually since they are in non-standard location

* Wed Jul 19 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.51-1mdk
- mandrake build, based on spec from Sergiusz Pawlowicz
  <ser@serek.arch.pwr.wroc.pl>
